package com.yunfeiyun.agmp.fms.domain.reqvo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

public class AddNoValueReqVo {

    /** 字典标识 */
    private String dictId;

    /** 字典名称 */
    private String dictName;

    /** 字典类型编码 */
    private String dicttypeCode;

    public String getDictId() {
        return dictId;
    }

    public void setDictId(String dictId) {
        this.dictId = dictId;
    }

    @NotBlank(message = "字典标签不能为空")
    @Size(min = 0, max = 100, message = "字典标签长度不能超过100个字符")
    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    @NotBlank(message = "字典类型不能为空")
    @Size(min = 0, max = 100, message = "字典类型长度不能超过100个字符")
    public String getDicttypeCode() {
        return dicttypeCode;
    }

    public void setDicttypeCode(String dicttypeCode) {
        this.dicttypeCode = dicttypeCode;
    }
}
